*{
    padding: 0;
    margin: 0;
    font-family: 'Poppins', sans-serif;
    border: none;
    box-sizing: border-box;
    scroll-behavior: smooth;
    text-decoration: none;
    outline: none;
}
:root{
    --bg-color: #080808;
    --second-bg-color: #101010;
    --text-color: #ffffff;
    --main-color: #ff0883;
}
html{
    font-size: 62.5%;
    overflow-x: hidden;
}
body{
    background: var(--bg-color);
    color: var(--text-color);
}
.header{
    position: fixed;
    display: flex;
    width: 100%;
    padding: 3rem 9%;
    background: rgba(0, 0, 0, 0.6);
    backdrop-filter: blur(10px);
    justify-content: space-between;
    top: 0;
    left: 0;
    align-items: center;
    z-index: 100;
}
.logo{
    font-size: 3rem;
    color: var(--text-color);
    font-weight: 700;
    transition: 0.2s ease-in-out;
    cursor: pointer;
}
.logo:hover{
    transform: scale(1.1);
}
.navbar a{
    font-size: 1.8rem;
    color: var(--text-color);
    font-weight: 500;
    margin-left: 4rem;
    border-bottom: 3px solid transparent;
    transition: 0.2s ease;
}
.navbar a:hover, .navbar a.active{
    color: var(--main-color);
    border-bottom: 3px solid var(--main-color);
}
#menu-icon{
    font-size: 3.6rem;
    color: var(--main-color);
    display: none;
    cursor: pointer;
}
section{
   min-height: 100vh;
    padding: 10rem 9% 10rem;
}
.home{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 15rem;
}
.home-content{
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: left;
    margin-top: 3rem;
    align-items: baseline;
}
span{
    color: var(--main-color);
}
.logo span{
    color: var(--main-color);
}
.home-content h1{
    font-size: 7rem;
    font-weight: 700;
    line-height: 1;
    margin-top: 1.5rem;
}
.home-content h3{
    margin-top: 1rem;
    margin-bottom: 2rem;
    font-size: 3.5rem;
}
.home-content p{
    font-size: 1.5rem;
    font-weight: 500;
    max-width: 1000px;
}
.home-img{
    border-radius: 50%;
}
.home-img img{
    position: relative;
    top: 3rem;
    width: 30vw;
    border-radius: 50%;
    cursor: pointer;
    box-shadow: 0 0 25px var(--main-color);
    transition: 0.1s ease-in-out;
}
.home-img img:hover{
    box-shadow: 0 0 25px var(--main-color), 0 0 50px var(--main-color), 0 0 100px var(--main-color);
}
.social-icons a{
    color: var(--text-color);
    display: inline-flex;
    justify-content: center;
    align-items: center;
    height: 4.5rem;
    width: 4.5rem;
    border: 0.2rem solid var(--main-color);
    background: transparent;
    border-radius: 1rem;
    font-size: 2.3rem;
    color: var(--main-color);
    transition: 0.3s ease-in-out;
    margin: 3rem 1.5rem 3rem 0;
}
.social-icons a:hover{
    transform: scale(1.3) translateY(-5px);
    color: var(--text-color);
    box-shadow: 0 0 25px var(--main-color);
    background-color: var(--main-color);
}
.btn{
    display: inline-block;
    padding: 1rem 2.8rem;
    background: var(--main-color);
    border-radius: 4rem;
    font-size: 1.6rem;
    color: var(--text-color);
    border: 2px solid transparent;
    cursor: pointer;
    letter-spacing: 0.1rem;
    font-weight: 600;
    transition: 0.3s ease-in-out;
    box-shadow: 0 0 25px var(--main-color);
}
.btn:hover{
    transform: scale(1.05);
    box-shadow: 0 0 50px var(--main-color);
}
.text-animation{
    font-size: 34px;
    font-weight: 600;
    min-width: 280px;
}
.text-animation span{
    position: relative;
}
.text-animation span::before{
    content: "Front End Developer";
    color: var(--main-color);
    animation: words 20s infinite;
}
.text-animation span::after{
    content: "";
    background-color: var(--bg-color);
    position: absolute;
    width: calc(100% + 8px);
    height: 100%;
    border-left: 3px solid var(--bg-color);
    right: -8px;
    animation: cursor 0.6s infinite, typing 20s steps(14) infinite;
}
@keyframes cursor{
    to{
        border-left: 2px solid var(--main-color);
    }
}
@keyframes words{
    0%, 20%{
        content: "Front End Designer" ;
    }
    21%, 40%{
        content: "Web Designer";
    }
    41%, 60%{
        content: "UI / UL Designer";
    }
    61%, 80%{
        content: "Web Developer";
    }
    81%, 100%{
        content: Softwar Tester;
    }
}
@keyframes typing{
    10%, 15%, 30%, 35%, 50%, 55%, 70%, 75%, 90%, 95%{
        width: 0;
    }
    5%, 20%, 25%, 40%, 45%, 60%, 65%, 80%{
        width: calc(100% + 8px);
    }
}
.about{
    display: flex;
    justify-content: center;
    align-items: center;
    background: var(--second-bg-color);
    color: var(--text-color);
    gap: 10rem;
}
.abou h2 span{
    color: var(--main-color);
    text-shadow: 0 0 50px var(--main-color);
}
.about-img{
    border-radius: 50%;
}
.about-img img{
    position: relative;
    width: 30vw;
    border-radius: 50%;
    box-shadow: 0 0 25px var(--main-color);
    cursor: pointer;
    top: 1rem;
    transition: 0.2s ease-in-out;
}
.about-img img:hover{
    box-shadow: 0 0 25px var(--main-color), 0 0 50px var(--main-color), 0 0 100px var(--main-color);
}
.heading{
    font-size: 8rem;
    text-align: center;
}
.about-content h2{
    line-height: 1.5;
    text-align: left;
}
.about-content h3{
    font-size: 2.6rem;
}
.about-content p{
    font-size: 1.6rem;
    margin: 2rem 0 3rem;
}
.about-content .text-animation span::before{
    content: "Front End Developer";
    color: var(--main-color);
    animation: words 20s infinite;
}
.about-content .text-animation span::after{
    content: "";
    background-color: var(--second-bg-color);
    position: absolute;
    width: calc(100% + 8px);
    height: 100%;
    border-left: 3px solid var(--bg-color);
    right: -8px;
    animation: cursor 0.6s infinite, typing 20s steps(14) infinite;
}
::-webkit-scrollbar{
    width: 7px;
}
::-webkit-scrollbar-thumb{
    background-color: var(--main-color);
}
::-webkit-scrollbar-track{
    width: 30px;
    background-color: var(--bg-color);
}
.services{
    background: var(--bg-color);
    color: var(--text-color);
}
.services h2{
    color: var(--text-color);
    margin-bottom: 5rem;
}
.services-container{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 5rem;
    align-items: center;
}
.service-box{
    position: relative;
    top: 3rem;
    width: 300px;
    height: 300px;
    background-color: var(--text-color);
    border-radius: 10px 30% 10px 30%;
    cursor: pointer;
    box-shadow: 0 0 25px var(--main-color);
    transition: 0.1s ease-in-out;
}
.service-box:hover{
    box-shadow: 0 0 25px var(--main-color), 0 0 50px var(--main-color), 0 0 100px var(--main-color);
}
.service-box .service-info{
    display: flex;
    flex-direction: column;
    text-align: left;
    align-items: baseline;
    justify-content: center;
    color: var(--main-color);
    max-height: 200px;
    padding: 5rem;
}
.service-info i{
    font-size: 30px;
    margin: 10px;
}
.service-info i:hover{
    color: var(--bg-color);
    transform: scale(1.2);
}
.service-info h4{
    margin-bottom: 1rem;
    font-size: 3rem;
    font-weight: 500;
}
.service-info p{
    max-height: 100px;
    font-size: 16px;
    font-weight: 400;
    word-spacing: 3px;
    margin-bottom: 20px;
    color: var(--second-bg-color);
}
.service-box .btn{
    justify-content: center;
    align-items: center;
    margin-left: 50px;
}
.gallery{
    background: var(--second-bg-color);
}
.gallery-box{
    display: flex;
    background-size: cover;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.gallery .heading{
    margin-bottom: 5rem;
}
.wrapper{
    display: grid;
    grid-template-columns: repeat(3,1fr);
    gap: 3rem;
}
.gallery-item{
    min-height: 200px;
    max-width: 200px;
    background: rgba(0, 0, 0, 0.7);
    backdrop-filter: blur(20px);
    border: 3px solid rgba(238, 238, 238, 0.2);
    border-radius: 2rem;
    margin: 0 2rem;
    padding: 30px 60px;
    cursor: pointer;
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    align-items: center;
    gap: 1.5rem;
    color: var(--main-color);
    transition: 0.2s ease-in-out;
}
.gallery-item:hover{
    border: 3px solid var(--main-color);
    transform: translateY(-10px) scale(1.04);
    color: var(--text-color);
}
.gallery-item a{
    font-size: 2.8rem;
    color: var(--main-color);
}
.gallery-item a:hover{
    color: var(--text-color);
}
.contact{
    background-color: var(--bg-color);
}
.contact h2{
    margin-bottom: 3rem;
    color: var(--text-color);
}
.contact form{
    max-width: 70rem;
    text-align: center;
    margin-bottom: 3rem;
    margin: 1rem auto;
}
.contact form .input-box{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}
.contact form .input-box input, .contact form textarea{
    width: 100%;
    padding: 1.5rem;
    font-size: 1.6rem;
    color: var(--text-color);
    border: 2px solid var(--main-color);
    border-radius: 0.8rem;
    margin: 1rem 0;
    background: var(--bg-color);
    resize: none;
}
.contact form .btn{
    margin-top: 2rem;
}
.footer{
    position: relative;
    bottom: 0;
    padding: 40px 0;
    width: 100%;
    background-color: var(--second-bg-color);
}
.footer .social{
    color: var(--text-color);
    text-align: center;
    padding-bottom: 25px;
}
.footer .social a{
    display: inline-block;
    color: var(--text-color);
    font-size: 25px;
    border: 2px solid var(--text-color);
    height: 42px;
    width: 42px;
    line-height: 42px;
    text-align: center;
    border-radius: 50%;
    margin: 0 10px;
    transition: 0.2s ease-in-out;
}
.footer .social a:hover{
    transform: scale(1.2) translateY(-10px);
    box-shadow: 0 0 25px var(--main-color);
    color: var(--main-color);
}
.footer ul{
    padding: 0;
    margin-top: 0;
    font-size: 18px;
    margin-bottom: 0;
    text-align: center;
    line-height: 1.6;
}
.footer ul li{
    padding: 0 15px;
    display: inline-block;
}
.footer ul li a{
    color: var(--text-color);
    transition: 0.2s ease-in-out;
    border: 2px solid transparent;
}
.footer ul li a:hover{
    border-bottom: 3px solid  var(--main-color);
}
.footer .copyright{
    color: var(--main-color);
    font-size: 16px;
    margin-top: 50px;
    text-align: center;
    word-spacing: 4px;
}
.footer .copyright span{
    color: var(--text-color);
}


@media(max-width:1250px){
    html{
        font-size: 55%;
    }
    .services-container{
        margin: 0 5rem;
        padding-bottom: 7rem;
        grid-template-columns: repeat(2, 1fr);
    }
}

@media(max-width:991px){
    header{
        padding: 2rem 3%;
    }
    section{
        padding: 10rem 3% 2rem;
    }
    .services{
        padding-bottom: 7rem;
    }
    .gallery .wrapper{
        grid-template-columns: repeat(1, 1fr);
    }
    .footer{
        padding: 2rem 3%;
    }
}

@media(max-width:895px){
    #menu-icon{
        display: block;
    }
    .navbar{
        position: absolute;
        width: 50%;
        padding: 1rem 3%;
        top: 100%;
        right: 0;
        background: rgba(0, 0, 0, 0.9);
        backdrop-filter: blur(20px);
        border-left: 2px solid var(--main-color);
        border-bottom: 2px solid var(--main-color);
        display: none;
    }
    .navbar.active{
        display: block;
    }
    .navbar a{
        display: block;
        font-size: 2rem;
        margin: 3rem 0;
        color: var(--text-color);
    }
    .home{
        margin: 5rem 4rem;
        flex-direction: column;
    }
    .home-content h3{
        font-size: 2.6rem;
    }
    .home-content h1{
        margin-top: 3rem;
        font-size: 8rem;
    }
    .home-content p{
        margin: 0 auto;
        max-width: 600px;
    }
    .home-img img{
        margin-top: -2rem;
        width: 56vw;
    }
    .about{
        flex-direction: column-reverse;
    }
    .about-content{
        margin: 0 2rem 4rem;
    }
    .about img{
        margin-top: 1rem;
        margin-bottom: 3rem;
        width: 52vw;
    } 
    .services h2{
        margin-bottom: 3rem;
    }
    .services-container{
        grid-template-columns: repeat(1, 1fr);
    }
}